CVE-2006-0036
CVSS7.8
发布时间 :2006-01-23 17:03:00
修订时间 :2011-03-07 21:29:12
NMCO    

[原文]ip_nat_pptp in the PPTP NAT helper (netfilter/ip_nat_helper_pptp.c) in Linux kernel 2.6.14, and other versions, allows remote attackers to cause a denial of service (memory corruption or crash) via an inbound PPTP_IN_CALL_REQUEST packet that causes a null pointer to be used in an offset calculation.


[CNNVD]Linux Kernel多个安全性漏洞(CNNVD-200601-299)

        Linux kernel 2.6.14及其他版本的PPTP NAT帮助程序(netfilter/ip_nat_helper_pptp.c)中的ip_nat_pptp,远程攻击者可以通过会导致在偏移量计算中使用空指针的入站PPTP_IN_CALL_REQUEST数据包使系统拒绝服务(内存毁坏或崩溃)。

- CVSS (基础分值)

CVSS分值: 7.8 [严重(HIGH)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0036
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0036
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200601-299
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0220
(UNKNOWN)  VUPEN  ADV-2006-0220
http://kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=15db34702cfafd24acc60295cf14861e497502ab
(UNKNOWN)  CONFIRM  http://kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=15db34702cfafd24acc60295cf14861e497502ab
http://xforce.iss.net/xforce/xfdb/24203
(UNKNOWN)  XF  kernel-pptpincallrequest-dos(24203)
http://www.trustix.org/errata/2006/0004
(UNKNOWN)  TRUSTIX  2006-0004
http://www.securityfocus.com/bid/16414
(UNKNOWN)  BID  16414
http://securityreason.com/securityalert/388
(UNKNOWN)  SREASON  388
http://secunia.com/advisories/18482
(UNKNOWN)  SECUNIA  18482

- 漏洞信息

Linux Kernel多个安全性漏洞
高危 资料不足
2006-01-23 00:00:00 2006-01-24 00:00:00
远程※本地  
        Linux kernel 2.6.14及其他版本的PPTP NAT帮助程序(netfilter/ip_nat_helper_pptp.c)中的ip_nat_pptp,远程攻击者可以通过会导致在偏移量计算中使用空指针的入站PPTP_IN_CALL_REQUEST数据包使系统拒绝服务(内存毁坏或崩溃)。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,厂商发布了相关更新。

- 漏洞信息

22465
Linux Kernel PPTP NAT Helper PPTP_IN_CALL_REQUEST Packet Remote DoS
Remote / Network Access Denial of Service
Loss of Availability
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-01-10 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.6.15.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站